org.codehaus.groovy.reflection

## Class CachedClass.CachedMethodComparatorWithString

- java.lang.Object
- - org.codehaus.groovy.reflection.CachedClass.CachedMethodComparatorWithString

All Implemented Interfaces:
  Comparator

Enclosing class:
  CachedClass

    public static class CachedClass.CachedMethodComparatorWithString
    extends Object
    implements Comparator

### Field Summary

Fields
`static Comparator` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`CachedClass.CachedMethodComparatorWithString()`

### Method Summary

Methods
`int` `compare(Object o1, Object o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Field Detail

#### INSTANCE

    public static final Comparator INSTANCE

### Constructor Detail

#### CachedClass.CachedMethodComparatorWithString

    public CachedClass.CachedMethodComparatorWithString()

### Method Detail

#### compare

    public int compare(Object o1,
              Object o2)

Specified by:
  `compare` in interface `Comparator`